libnvme(2)

NAME
struct nvme_ns_id_desc - Namespace identifier type descriptor

SYNOPSIS
struct nvme_ns_id_desc {
__u8 nidt;
__u8 nidl;
__le16 rsvd;
__u8 nid[];
};

Members

nidt
    Namespace Identifier Type, see enum nvme_ns_id_desc_nidt

nidl
    Namespace Identifier Length contains the length in bytes of the struct nvme_id_ns.nid.

rsvd
    Reserved

nid Namespace Identifier contains a value that is globally unique and assigned to the namespace when the namespace is created. The length is defined in struct nvme_id_ns.nidl.